敬请期待：
    添加mqtt调试功能
    添加hid调试功能
    添加lua脚本支持
    添加http调试功能
    添加ble外围设备调试功能（非windows平台）
    添加sctp客户端与服务器调试功能（非windows平台）

V7.2.0 2025年04月23日
    新特性：
    01. 添加本地通信（QLocalSocket）
    02. 添加高级搜索功能（感谢le-cheng的pull-requests（https://github.com/x-tools-author/x-tools/pull/36）, GitHub主页：https://github.com/le-cheng）
    bug修复：
    01. Linux平台程序后奔溃
    02. 设备参数无法正确从配置文件加载
    03. BLE的一些问题
    04. 数据导出的一些问题

V7.1.0 2025年03月11日
    新特性：
    01. UDP客户端可以指定IP和端口，添加组播
    02. 输入框可以通过快捷键Enter发送数据
    03. [串口]可以自定义串口号（Linux平台），添加串口号过滤功能，优化串口粘包处理，插拔检测
    04. 数据可视化模块添加条形图
    05. 主窗口可以置顶
    06. 输出添加换行设置，添加“终端模式”
    非功能特性：
    01. 重构代码，优化代码结构

V7.0.0 2024年10月27日
    新特性：
    01. 支持系统配色方案（深色，浅色，仅windows11风格下支持）
    02. 优化表格编辑，包括自动应答数据，定时发送数据，数据预设数据及数据转发
    03. 简化UI, 添加多面板功能
    04. modbus助手可以使用16进制格式输入地址和数据
    05. 添加图表显示功能（兼容VOFA+协议）

V6.0.4 2024年09月15日
    修复：
    01. 数据通道显示错误
    02. websocket客户端配置UI显示错误

V6.0.3 2024年08月20日
    修复：
    01. 双击编辑表格数据时，数据没有被加载至窗口

V6.0.2 2024年05月03日
    修复：
    01. websocket客户端连接服务器失败时，弹出两个提示框
    02. websocket客户端UI文本显示排版错误
    03. 修复git版本号显示不正确

V6.0.1 2024年04月30日
    修复:
    01. 首次启动，语言菜单未勾选语言选项
    02. 蓝牙模块连接设备关闭重新打开后程序崩溃
    03. 样式菜单翻译以及其他文本错误


V6.0.0 2024年04月20日
    新特性：（软件改名为xTools）
    01. 全新的软件外观
    02. 全新的数据转发模块
    03. 添加mDNS扫描工具
    04. 添加文件合并工具
    05. 添加二维码生成工具(目前仅对开发者开放)
    06. 添加批量ping工具

V5.0.0 2023年xx月xx日(不再发布)
    新特性：
    01. 全新的ui布局
    02. 支持BLE设备调试（BLE Center）
    03. 详细的日志输出，可以查看操作/数据记录
    04. 内置暗色主题和亮色主题，更好地融入系统配色
    05. 提供两套UI：经典与现代（现代化UI目前功能不完整，仅供体验，仅对开发者开放）
    bug修复：
    01. （存在的BUG可能随着项目重构而消失）
    非功能特性：
    01. 对项目内部数据流程处理进行了重构
    02. 项目升级到Qt6.4

V4.0.0 2022年xx月xx日(不发布)
    新特性：
    01. 对项目进行了重构，简化了ui
    02. 添加动态加载插件功能，提供扩展接口
    03. 发送数据等可以添加后缀
    04. 添加系统托盘图标
    05. 串口添加“帧间隔”参数以优化粘包处理
    06. 添加CAN总线调试功能

V3.5.0 2021年05月05日
    新特性：
    01. 数据转发模块添加数据持久化功能（未实现，将来重新设计转发模块）
    02. tcp客户端添加自动重连配置功能
    03. 将软件风格模块整合至主窗口中
    04. 移除样式模块（真实鸡肋，以后添加调试版来调整软件配色）
    05. 数据转发模块tab页面索引添加记忆功能
    06. Windows，Linux平台默认使用fusion软件风格
    07. 完善消息输出功能，可查看历史输出消息
    08. 发送数据为空时弹窗提示
    09. 添加原始数据输出选项，方便查看嵌入式设备启动信息
    10. modbus页面tab选项卡添加持久化记录功能
    bug修复：
    01. 二进制、8进制、10进制、16进制输入模式下，输入内容为空，发送内容为数值0
    02. 首次启动，输出格式为usc4（应该为hex）
    03. 首次启动语言菜单未勾选语言选项（not yet）
    说明：
    01. 使用子工程管理UDP及TCP模块模块

V3.4.1 2020年12月19日
    bug修复：
    01. 某些输入格式无法正确计算CRC值
    02. 修复“输出时间”选项持久化失效的bug
    03. 自动回复模块，参考数据在二进制、8进制、10进制及16进制格式时后面输入空格后数据解析错误
    04. 数据转发模块无法打开串口
    05. 输出格式缺失八进制选项
    06. 自动发送模块，更改ui自动发送周期实际自动发送周期不更新

V3.4.0 2020年12月12日
    新特性：
    01. 对主界面做了一些调整，是的界面看起来更清爽
    02. 取消图标显示只提取提一帧数据中的一个数据
    bug修复
    01. crc计算器16位crc及32位crc计算结果错误
    02. 使能掩码后数据错误（掩码设置及消除掩码错误）
    03. 掩码数值持久化失效
    04. 自动回复页面，16进制格式时，无法粘贴；二进制格式时无法输入
    05. 文本显示错误
    说明：
    做了一些基于github action的持续集成工作，软件发布包将支持更多的平台，即使有些平台未做测试
    移除了二维码生成助手，真是鸡肋

V3.3.0 2020年11月29日
    新特性
    01. 添加设置掩码功能
    02. 添加modbus rtu调试功能
    03. 添加浮点数转换查看工具
    04. 添加字符串转编码值查看功能及字符串编码值转字符串功能
    05. 屏蔽了单实例模式（该功能于3.1.0版本中添加，只能启动一个软件界面，真是鸡肋）
    bug修复
    01. websocket断开后，websocket服务器页面没有移客户端信息
    02. 帮助>>下载源码，地址跳转错误
    说明：
    01. 主窗口的各种部件整合至MainWindow类中
    02. 软件的全局类整合至SAKApplication类中

v3.2.0 2020年10月28日
    新特性
    01. 切换语言及切换软件样式后可以选择自动重启软件
    02. 优化收发收据写入到文件功能
    03. crc设置页面输入参数记录至配置文件
    04. 自动回复设置页面，参数编辑完成（设置窗口关闭）后自动更新数据库记录
    05. 定时发送设置页面，参数编辑完成（设置窗口关闭）后自动更新数据库记录
    06. 数据预设设置页面，参数编辑完成（设置窗口关闭）后自动更新数据库记录
    07. 删除读写参数设置功能模块（该功能模块已被弃用）
    08. 新建调试页面或者调试窗口时，可以命名标题
    09. 添加窗口菜单，用于切换调试页面或窗口
    10. 帮助菜单添加访问发布站子菜单项
    11. 客户端(udp/tcp)绑定设备成功后，显示绑定信息
    bug修复
    01. 自动回复界面，ascii数据类型无法输入空格
    02. 数据分析模块，固定长度数据分析失效
    03. crc计算字段错误
    04. 导出输入框数据时，默认导出位置及默认文件名错误
    05. ubuntu 16.04不显示菜单栏

v3.1.0 2020年07月16日
    新特性
    01. 软件启动后启动移至屏幕中央
    02. 自动回复添加延时回复参数设置选项
    03. crc计算添加计算字段选择功能
    04. 串口波形
    05. 粘包处理
    06. 程序改为单实例程序
    bug修复
    01. 发送数据是，ui大小在变动（树莓派平台）

v3.0.0 2020年06月12日
    新特性
    01. udp调试添加广播功能
    02. udp调试调试组播功能
    03. 预设数据添加记忆保存功能
    04. 自动回复数据添加记忆保存功能
    05. 串口调试添加流控设置选项
    06. 串口列表只保留串口号，不再显示串口描述信息
    07. 添加简单的二维码生成工具
    08. 定时发送添加记忆保存功能
    09. 网络地址添加ipv6地址选项
    10. 添加启动界面，该善树莓派等低配平台的启动体验
    11. 添加websocket调试功能，包括客户端及服务器
    12. .......
    bug修复
    linux下关闭设备程序崩溃
    ascii输入格式时可以输入非ascii字符
    说明
    01.该版本重构了设备读写线程，从信号读写方式改为定时器读写方式

v2.2.0 2019年11月17日
    新特新
    01. 添加语言切换功能、支持简体中文、繁体中文、英文
    02. 调整ui以适应语言切换时造成的ui变形
    03. 提供更多的输出文本格式，输入输出文本格式可独立设置
    bug修复
    01. tcp客户端连接服务器失败造程序假死
    02. 无法检查更新
    说明
    01. 由于种种原因，在该版本中暂时移除HID调试模块、USB调试模块
    02. 移除终端打印模块
    03. 移除日志模块

v2.1.0 2019年10月27日
    新特性
    01. 添加HID调试功能
    02. 部分设置实现记忆保存，重开软件后会自动加载上次设置
    03. 帮助菜单添加项目源码链接，可直接点击访问
    04. 重构调试页面ui以适应低分辨率设备
    05. 其他交互上的一些修改
    bug修复
    01. udp数据转发造成程序崩溃
    02. tcp数据转发造成程序崩溃
    03. 串口数据转发造成程序崩溃
    说明
    01. 从该版本起，为避免某些杀毒软件的查杀，不再对发布程序进行压缩处理

v2.0.0  2019年09月15日
    新特性
    01. 重构软件架构，优化io设备的读写功能
    02. crc计算器添加更多crc参数模型
    03. 添加自动回复功能
    04. 添加数据转发功能
    05. 发送数据添加预设置功能
    06. 添加数据吞吐量统计功能
    07. 添加调试页面的动态添加功能
    08. 提供更多的皮肤样式

v1.2.2  2019年04月19日
    01. 优化高亮设置ui交互

v1.2.1  2019年03月22日
    01. 修复串口自收发输出空数据的bug

v1.2.0  2019年03月22日
    01. 添加读写延时参数设置功能

v1.1.0  2019年03月10日
    01. 添加皮肤切换功能
    02. 添加发送数据输出显示功能
    03. 修复已知bug

v1.0.0 2019年02月23日
    全新发布
